Java Search Library.
=================

A little search library I've created for searching various web sources. Currently there
is support for Google, Twitter, Youtube and Bing. I hope to add more sources in the future.
I don't currently recommend using this library as it is still pretty early stage.

aidanchurch@gmail.com

Getting Started
----------------

Twitter
-------

The following is an example as to how you'd get web pages back from Tweets.

		//Contruct the TwitterSearch object with your consumer key & secret.
		TwitterSearch tw = new TwitterSearch(twitter_key, twitter_secret);
		try {
			//Get Authorization Url from Twitter.
			TwUser user = tw.TwitterAuth();
			/* Using your web application or whatever you'll have to forward
			 * The user to the url located in "user.getUrl()". The rUrl 
			*/
			List<Page> pages = tw.SearchTwitter(user.getrToken(), "Google");
			//The pages object represent web pages returned for the query "Google".
		} catch (TwitterException e) {
			e.printStackTrace();
		} catch (IOException ioe){
			e.printStackTrace();
		}
		
It's worth noting that currently this search is very slow since getting titles from
pages take a substantial amount of time. I'll hopefully speed this up considerably by
multithreading the process soon.

Google
------

Google can be search with relative ease...

        Google go = new Google(key, cse, 20);
		List<Page> pages = go.gSearch("test");
		for(Page p : pages){
			System.out.println(p.getTitle());
		}
		
NOTE: Google's API limits you to 100 requests per day. However, if you pass the users IP
in with the request that becomes 100 per day per user.

YouTube
-------

TODO

Bing
----

TODO